Package: org.codehaus.groovy.util

## [Java] Class ArrayIterator<T>

- org.codehaus.groovy.util.ArrayIterator

- All Implemented Interfaces and Traits:
    Iterator

      public class ArrayIterator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ArrayIterator (T[] array)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ArrayIterator(T[] array)

  - ### Method Detail

    - #### public boolean hasNext()

    - #### @SuppressWarnings("unchecked") public T next()

    - #### public void remove()